Package com.io7m.idstore.shell.admin.internal

# Class IdAPasswordExpirationSetConverter

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAPasswordExpirationSetConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`

public final class IdAPasswordExpirationSetConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>
A value converter for password expiration sets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAPasswordExpirationSetConverter()`
  A value converter for password expiration sets.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<IdAPasswordExpirationSetType>`
  `convertedClass()`
  `IdAPasswordExpirationSetType`
  `convertFromString(String text)`
  `String`
  `convertToString(IdAPasswordExpirationSetType value)`
  `IdAPasswordExpirationSetType`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdAPasswordExpirationSetConverter

    public IdAPasswordExpirationSetConverter()
    A value converter for password expiration sets.

- ## Method Details

  - ### convertFromString

    public IdAPasswordExpirationSetType convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`

  - ### convertToString

    public String convertToString(IdAPasswordExpirationSetType value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`

  - ### exampleValue

    public IdAPasswordExpirationSetType exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`

  - ### convertedClass

    public Class<IdAPasswordExpirationSetType> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<IdAPasswordExpirationSetType>`